## user-he 1.0.12

=== Makefile ===
# Debian Hebrew Scripts Makefile

INSTALL = install

all: 

clean:

install:
	$(INSTALL) -d $(DESTDIR)usr/bin
	cp -r scripts/* $(DESTDIR)/usr/bin/

.PHONY : all clean install

## user-he 1.0.8ubuntu1

=== debian/changelog ===
user-he (1.0.8ubuntu1) edgy; urgency=low

  [ Martin Jürgens ]
  * Install depends on mozilla-firefox-locale-he-il instead of firefox-locale-he now (Closes Malone #63647)

 -- Sivan Greenberg <sivan@ubuntu.com>  Sun, 22 Oct 2006 16:11:19 +0200

user-he (1.0.8) unstable; urgency=low

  * debian/control:
    - Add openoffice.org-l10n-he package to depends
    - Move debhelper from build-depends-indep to build-depends
    - Upgrade standards-version to 3.7.2 

 -- Lior Kaplan <kaplan@debian.org>  Thu, 15 Jun 2006 22:38:37 +0300

user-he (1.0.7) unstable; urgency=low

  * debian/control: 
    - Replace mozilla-* package with firefox-locale-he
    - Move firefox-locale-he to Depends instead of Suggests

 -- Lior Kaplan <kaplan@debian.org>  Fri, 14 Apr 2006 23:47:12 +0300

user-he (1.0.6) unstable; urgency=low

  [ Lior Kaplan ]
  * Remove the dependencies on the Mozilla packages, since they aren't
    installable in SID.
  * Add --notimezone to prevent hebrew-settings script from changing the
    timezone of the system.

  [ Baruch Even ]
  * Do the parameter parsing properly, give a message if an invalid parameter
    is provided.

 -- Baruch Even <baruch@debian.org>  Fri,  3 Feb 2006 10:52:34 +0000

user-he (1.0.5) unstable; urgency=low

  * Initial release (closes: #325289)
  * add msttcorefonts to suggests (thanks Shachar Shemesh)
  * Add myself to uploaders field.
  * Rename package to user-he 

 -- Lior Kaplan <webmaster@guides.co.il>  Sat,  1 Oct 2005 17:59:23 +0300

debian-hebrew (1.0.4) unstable; urgency=low

  * Build depends on libhdate1 instead of libhdate0.
  * Rebreake the description to lines, to be more readable.

 -- Lior Kaplan <webmaster@guides.co.il>  Sat, 13 Aug 2005 13:49:09 +0300

debian-hebrew (1.0.3) unstable; urgency=low

  * Add xorg options to the script.
  * FIXME: for some reason the postinst scripts do not work when I call them 
    in their path, in this version I copied them to current dir. 

 --  Yaacov Zamir <kzamir@walla.co.il>  Sat, 30 Jul 2005 21:53:53 +0100

debian-hebrew (1.0.2) unstable; urgency=low

  * Add a mention of the hebrew-settings script in the description.
  * Add dependency on ttf-freefont and kkbswitch.
  * Changed the maintainership to be the joint maintainership of the
    Debian-Hebrew project.

 -- Baruch Even <baruch@debian.org>  Sun, 24 Jul 2005 15:45:02 +0100

debian-hebrew (1.0.1) unstable; urgency=low

  * Add kde dependencies

 -- Yaacov Zamir <kzamir@walla.co.il>  Sat, 23 Jul 2005 21:53:53 +0100

debian-hebrew (1.0) unstable; urgency=low

  * Initial release

 -- Yaacov Zamir <kzamir@walla.co.il>  Wed, 20 Jul 2005 20:53:53 +0100

=== debian/control ===
Source: user-he
Section: misc
Priority: optional
Maintainer: Debian Hebrew Packaging Team <debian-hebrew-package@lists.alioth.debian.org>
Uploaders: Baruch Even <baruch@debian.org>, Lior Kaplan <kaplan@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0)

Package: user-he
Architecture: all
Depends: aspell-he, bidiv, culmus, mozilla-firefox-locale-he-il, hdate-applet, hspell, hspell-gui, katoob, kde-i18n-he, kkbswitch, koffice-i18n-he, mlterm, myspell-he, openoffice.org-l10n-he, ttf-freefont
Recommends: culmus-fancy, geresh
Suggests: hocr-gtk, msttcorefonts
Description: Hebrew support in the Debian system
 This meta package will install Hebrew related Debian 
 packages for use by Hebrew debian users.
 .
 It also includes the script 'hebrew-settings' to reconfigure
 the system to have a fully Hebrew-ized system.
 .
 Homepage: http://debian-hebrew.alioth.debian.org/

## user-he 1.0.12

=== debian/changelog ===
user-he (1.0.12) unstable; urgency=low

  * Add icedove-bidiui to recommends.
  * Remove firefox-locale-he from recommends due to the Firefox -> Iceweasel
    rename. We'll use iceweasel-locale-he when it will be ready.

 -- Lior Kaplan <kaplan@debian.org>  Fri,  1 Dec 2006 03:24:40 +0200

user-he (1.0.11) unstable; urgency=low

  [ Shachar Shemesh ]
  * Move all non-stricly necessary or heavy packages from Depends to
    Recommends.
  * Removed dependency on koffice-i18n-he (Closes: #396229)

  [ Lior Kaplan ]
  * Add icedove-locale-he to recommends.

  [ Baruch Even ]
  * Cleanup the Dependency lines to be seperated with a comma and then space
    rather than space and then comma. 
  * Decided to upload with the changes proposed (and done) by Shachar since it
    makes sense and we can tell the users to use aptitude to install user-he
    for them so they'll get all the recommends.

 -- Baruch Even <baruch@debian.org>  Thu,  9 Nov 2006 08:22:02 +0200

user-he (1.0.10) unstable; urgency=low

  * debian/control:
    - Bring firefox-locale-he back to recommends as its RC bug was fixed.
    - Move geresh and katoob from recommends to suggests.

 -- Lior Kaplan <kaplan@debian.org>  Tue, 10 Oct 2006 20:48:53 +0200

user-he (1.0.9) unstable; urgency=low

  * Move firefox-locale-he from Depends to Recommends, since it was removed
    from testing (thus preventing from user-he to enter testing).
  * Add ttf-dejavu to suggests as they provide Hebrew fonts.

 -- Lior Kaplan <kaplan@debian.org>  Fri, 15 Sep 2006 00:54:49 +0300

=== debian/control ===
Source: user-he
Section: misc
Priority: optional
Maintainer: Debian Hebrew Packaging Team <debian-hebrew-package@lists.alioth.debian.org>
Uploaders: Baruch Even <baruch@debian.org>, Lior Kaplan <kaplan@debian.org>, Shachar Shemesh <shachar@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0)

Package: user-he
Architecture: all
Depends: aspell-he, bidiv, culmus, ttf-freefont, locales, hspell
Recommends: hdate-applet, hspell-gui, kde-i18n-he, kkbswitch, mlterm, myspell-he, openoffice.org-l10n-he, culmus-fancy, icedove-locale-he, icedove-bidiui
Suggests: geresh, hocr-gtk, katoob, msttcorefonts, ttf-dejavu
Description: Hebrew support in the Debian system
 This meta package will install Hebrew related Debian 
 packages for use by Hebrew debian users.
 .
 It also includes the script 'hebrew-settings' to reconfigure
 the system to have a fully Hebrew-ized system.
 .
 Homepage: http://debian-hebrew.alioth.debian.org/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/user-he

DOCS = 

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make install DESTDIR=$(DESTDIR)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## user-he 1.0.13

=== debian/changelog ===
user-he (1.0.13) unstable; urgency=low

  * Add iceweasel-l10n-he to recommends.

 -- Lior Kaplan <kaplan@debian.org>  Fri, 19 Jan 2007 01:45:23 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: user-he
 Architecture: all
 Depends: aspell-he, bidiv, culmus, ttf-freefont, locales, hspell
-Recommends: hdate-applet, hspell-gui, kde-i18n-he, kkbswitch, mlterm, myspell-he, openoffice.org-l10n-he, culmus-fancy, icedove-locale-he, icedove-bidiui
+Recommends: hdate-applet, hspell-gui, kde-i18n-he, kkbswitch, mlterm, myspell-he, openoffice.org-l10n-he, culmus-fancy, icedove-locale-he, icedove-bidiui, iceweasel-l10n-he
 Suggests: geresh, hocr-gtk, katoob, msttcorefonts, ttf-dejavu
 Description: Hebrew support in the Debian system
  This meta package will install Hebrew related Debian

## user-he 1.0.14

=== debian/changelog ===
user-he (1.0.14) unstable; urgency=low

  * Fix default locale selected by hebrew-settings script.
  * Add am_ET.UTF-8 to the locale list, for future Amharic support.
  * Stop using mlterm as default terminal in gnome.
  * Remove xfree86 related code, as the X transition ended by releasing Etch.
  * Fix the debconf preseeding for xserver-xorg.
  * Don't change GNOME's default theme
  * Happy birthday to me (:

 -- Lior Kaplan <kaplan@debian.org>  Fri, 20 Apr 2007 00:04:02 +0300

## user-he 1.0.16

=== debian/changelog ===
user-he (1.0.16) unstable; urgency=low

  * Remove recommend on icedove-l10n-he, it's no longer in unstable
    (Closes: #431002)
  * Add Xs-Vcs-Browser and Xs-Vcs-SVN tags to the control file

 -- Baruch Even <baruch@debian.org>  Thu, 28 Jun 2007 22:08:10 +0300

user-he (1.0.15) unstable; urgency=low

  * Move manpage into the scripts directory, small cleanups to makefile
  * Don't touch the user setting for keeping the timezone in utc or not
  * Switch to setting tzdata of Etch

 -- Baruch Even <baruch@debian.org>  Mon, 18 Jun 2007 13:52:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Uploaders: Baruch Even <baruch@debian.org>, Lior Kaplan <kaplan@debian.org>, Shachar Shemesh <shachar@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 5.0.0)
+Xs-Vcs-Browser: http://svn.debian.org/wsvn/debian-hebrew/pkg/user-he/trunk/
+Xs-Vcs-SVN: svn://svn.debian.org/debian-hebrew/pkg/user-he/trunk
 
 Package: user-he
 Architecture: all
 Depends: aspell-he, bidiv, culmus, ttf-freefont, locales, hspell
-Recommends: hdate-applet, hspell-gui, kde-i18n-he, kkbswitch, mlterm, myspell-he, openoffice.org-l10n-he, culmus-fancy, icedove-locale-he, icedove-bidiui, iceweasel-l10n-he
+Recommends: hdate-applet, hspell-gui, kde-i18n-he, kkbswitch, mlterm, myspell-he, openoffice.org-l10n-he, culmus-fancy, icedove-bidiui, iceweasel-l10n-he
 Suggests: geresh, hocr-gtk, katoob, msttcorefonts, ttf-dejavu
 Description: Hebrew support in the Debian system
  This meta package will install Hebrew related Debian

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 #export DH_VERBOSE=1
 
 DESTDIR = $(CURDIR)/debian/user-he
-
-DOCS = 
 
 configure: configure-stamp
 configure-stamp:

## user-he 1.0.17-0.1

=== debian/changelog ===
user-he (1.0.17-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashisms. (Closes: #465375)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 09 Mar 2008 12:26:40 +0100

user-he (1.0.17) unstable; urgency=low

  * Add openoffice-ctl-he and ttf-sil-ezra to suggests (Closes: #440415).
  * Add icedove-l10n-he to recommends (it's back...).
  * Bump standards-version to 3.7.3
    - Fix description-contains-homepage lintian warning.
  * Fixed lintian warnings:
    - debian-rules-ignores-make-clean-error
    - xs-vcs-header-in-debian-control
    - I'm proud to have good QA tools in debian (:

 -- Lior Kaplan <kaplan@debian.org>  Sun, 03 Feb 2008 23:28:09 +0200

=== debian/control ===
Source: user-he
Section: misc
Priority: optional
Maintainer: Debian Hebrew Packaging Team <debian-hebrew-package@lists.alioth.debian.org>
Uploaders: Baruch Even <baruch@debian.org>, Lior Kaplan <kaplan@debian.org>, Shachar Shemesh <shachar@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5)
Vcs-Browser: http://svn.debian.org/wsvn/debian-hebrew/pkg/user-he/trunk/
Vcs-SVN: svn://svn.debian.org/debian-hebrew/pkg/user-he/trunk
Homepage: http://debian-hebrew.alioth.debian.org/

Package: user-he
Architecture: all
Depends: aspell-he, bidiv, culmus, ttf-freefont, locales, hspell
Recommends: hdate-applet, hspell-gui, kde-i18n-he, kkbswitch, mlterm, myspell-he, openoffice.org-l10n-he, culmus-fancy, icedove-bidiui, icedove-l10n-he, iceweasel-l10n-he
Suggests: geresh, hocr-gtk, katoob, msttcorefonts, ttf-dejavu, openoffice-ctl-he, ttf-sil-ezra
Description: Hebrew support for Debian based systems
 This meta package will install Hebrew related Debian 
 packages for use by Hebrew speaking Debian users.
 .
 It also includes the script 'hebrew-settings' to reconfigure
 the system to have a fully Hebrew-ized system.

## user-he 1.0.18

=== debian/changelog ===
user-he (1.0.18) unstable; urgency=low

  * Acknowledge NMU by Marc 'HE' Brockschmidt to fix bashisms.
  * debian/control:
    - Change suggests from msttcorefonts to 
      ttf-liberation | ttf-mscorefonts-installer (Closes: #490035)
    - Bump standards-version to 3.8.0.
  * Rewrite debian/copyright with dh-make template (fixes 
    copyright-without-copyright-notice lintian warning).

 -- Lior Kaplan <kaplan@debian.org>  Wed, 24 Sep 2008 13:23:21 +0300

=== debian/control ===
Source: user-he
Section: misc
Priority: optional
Maintainer: Debian Hebrew Packaging Team <debian-hebrew-package@lists.alioth.debian.org>
Uploaders: Baruch Even <baruch@debian.org>, Lior Kaplan <kaplan@debian.org>, Shachar Shemesh <shachar@debian.org>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5)
Vcs-Browser: http://svn.debian.org/wsvn/debian-hebrew/pkg/user-he/trunk/
Vcs-SVN: svn://svn.debian.org/debian-hebrew/pkg/user-he/trunk
Homepage: http://debian-hebrew.alioth.debian.org/

Package: user-he
Architecture: all
Depends: aspell-he, bidiv, culmus, ttf-freefont, locales, hspell
Recommends: hdate-applet, hspell-gui, kde-i18n-he, kkbswitch, mlterm, myspell-he, openoffice.org-l10n-he, culmus-fancy, icedove-bidiui, icedove-l10n-he, iceweasel-l10n-he
Suggests: geresh, hocr-gtk, katoob, ttf-liberation | ttf-mscorefonts-installer, ttf-dejavu, openoffice-ctl-he, ttf-sil-ezra
Description: Hebrew support for Debian based systems
 This metapackage will install Hebrew related Debian 
 packages for use by Hebrew speaking Debian users.
 .
 It also includes the script 'hebrew-settings' to reconfigure
 the system to have a fully Hebrew-ized system.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean
 
 install: build

## user-he 1.0.20

=== Makefile ===
# Debian Hebrew Scripts Makefile

INSTALL = install

BINDIR=$(DESTDIR)/usr/bin
MANDIR=$(DESTDIR)/usr/share/man/man1

all: 

clean:

install:
	$(INSTALL) -d $(BINDIR)
	$(INSTALL) scripts/hebrew-settings $(BINDIR)

	$(INSTALL) -d $(MANDIR)
	$(INSTALL) scripts/hebrew-settings.1 $(MANDIR)

.PHONY : all clean install

=== debian/changelog ===
user-he (1.0.20) unstable; urgency=low

  * Kkbswitch was removed (#619718), remove it from Recommends
  * Rename openoffice.org-l10n-he -> libreoffice-l10n-he (Closes: #634975)

 -- Lior Kaplan <kaplan@debian.org>  Sat, 23 Jul 2011 13:08:27 +0200

user-he (1.0.19) unstable; urgency=low

  * Switch to dpkg-source 3.0 (native) format
  * Remove geresh and openoffice.org-ctl-he from Suggests.

 -- Lior Kaplan <kaplan@debian.org>  Sun, 24 Apr 2011 22:56:33 +0300

=== debian/control ===
Source: user-he
Section: misc
Priority: optional
Maintainer: Debian Hebrew Packaging Team <debian-hebrew-package@lists.alioth.debian.org>
Uploaders: Baruch Even <baruch@debian.org>, Lior Kaplan <kaplan@debian.org>, Shachar Shemesh <shachar@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5)
Vcs-Browser: http://svn.debian.org/wsvn/debian-hebrew/pkg/user-he/trunk/
Vcs-SVN: svn://svn.debian.org/debian-hebrew/pkg/user-he/trunk
Homepage: http://debian-hebrew.alioth.debian.org/

Package: user-he
Architecture: all
Depends: aspell-he, bidiv, culmus, ttf-freefont, locales, hspell, ${misc:Depends}
Recommends: hdate-applet, hspell-gui, kde-i18n-he, mlterm, myspell-he, libreoffice-l10n-he, culmus-fancy, icedove-bidiui, icedove-l10n-he, iceweasel-l10n-he
Suggests: hocr-gtk, katoob, ttf-liberation | ttf-mscorefonts-installer, ttf-dejavu, ttf-sil-ezra
Description: Hebrew support for Debian based systems
 This metapackage will install Hebrew related Debian 
 packages for use by Hebrew speaking Debian users.
 .
 It also includes the script 'hebrew-settings' to reconfigure
 the system to have a fully Hebrew-ized system.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,11 @@
 	dh_testdir
 	touch configure-stamp
 
+build: build-arch build-indep
 
-build: build-stamp
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
